Main Page Packages Class Hierarchy Compound List File List Compound Members

# namednodemapreturnnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| namednodemapreturnnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNamedItem(name)" method returns null of the specified name did not identify any node in the map.

Retrieve the second employee and create a NamedNodeMap listing of the attributes of the last child. Once the list is created an invocation of the "getNamedItem(name)" method is done with name="district". This name does not match any names in the list therefore the method should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1074577549

Definition at line 47 of file namednodemapreturnnull.java.

## Constructor & Destructor Documentation

namednodemapreturnnull::namednodemapreturnnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file namednodemapreturnnull.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String namednodemapreturnnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file namednodemapreturnnull.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/namednodemapreturnnull";
    00071    }

void namednodemapreturnnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file namednodemapreturnnull.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(namednodemapreturnnull.class,args);
    00074    }

void namednodemapreturnnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file namednodemapreturnnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       NodeList elementList;
    00058       Node testEmployee;
    00059       NamedNodeMap attributes;
    00060       Attr districtNode;
    00061       doc = load("staff");
    00062       elementList = doc.getElementsByTagName("address");
    00063       testEmployee = elementList.item(1);
    00064       attributes = testEmployee.getAttributes();
    00065       districtNode = (Attr)attributes.getNamedItem("district");
    00066       assertNull("namednodemapReturnNullAssert",districtNode);
    00067
    00068    }

The documentation for this class was generated from the following file:

- namednodemapreturnnull.java